osdf-staging-cpus:
  crondor:
    submit-description:
      universe: "local"
      getenv: "PATH"
      executable: "/home/james.clark/virtualenvs/igwn-pool-exorciser/bin/igwn-exorciser"
      arguments: "--parent-directory ./ --config-file /local/james.clark/pool-exorciser/config-osdf-staging-cpu-local.yaml make-dags --submit-dags"
      cron_hour: "*/6"
      cron_minute: "0"
      cron_window: "300"
      on_exit_remove: "false"
      stream_output: "True"
      stream_error: "True"
      accounting_group_user: "james.clark"
      accounting_group: "cit.scheduled.local-test"
      request_disk: "1 MB"
      request_memory: "100 MB"
      notification: "error"
      notify_user: "james.clark@ligo.org"
      queue: "1"
  test:
    jobs:
      - job: "upload_data"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/generate_staging_data"
          should_transfer_files: "YES"
          transfer_executable: "True"
          arguments: "$(sandbox_data_dir) $(n_files) $(mb_per_file) $(output_url)"
          transfer_output_files: "$(sandbox_data_dir)/,$(sandbox_data_dir).pfns,$(sandbox_data_dir).urls"
          when_to_transfer_output: "ON_SUCCESS"
          success_exit_code: "0"
          output_destination: "$(output_destination)"
          use_oauth_services: "$(token_str)"
          igwn_oauth_resource_writestage:  "ANY" 
          igwn_oauth_permissions_writestage: "write:/staging/james.clark"
          request_cpus: "1"
          request_memory: "100 MB"
          request_disk: "5 GB"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.local-test"
          MY.PoolExorciser: "True"
          MY.flock_local: "True"
          MY.DESIRED_Sites: "nogrid"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
      - job: "download_data"
        submit-description:
          universe: "vanilla"
          executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/verify_staging_data"
          should_transfer_files: "YES"
          transfer_executable: "True"
          use_oauth_services: "$(token_str)"
          igwn_oauth_resource_readstage:  "ANY"
          igwn_oauth_permissions_readstage: "read:/staging" 
          request_cpus: "1"
          request_memory: "1 GB"
          request_disk: "6 GB"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.local-test"
          MY.flock_local: "True"
          MY.DESIRED_Sites: "nogrid"
          MY.PoolExorciser: "True"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (3 * 3600)"
      - job: "aggregate_hold_reaons"
        submit-description:
          universe: "local"
          executable: "/home/james.clark/Projects/igwn-pool-exorciser/apps/aggregate_hold_reasons"
          should_transfer_files: "YES"
          transfer_executable: "True"
          request_cpus: "1"
          request_memory: "1 GB"
          request_disk: "10 MB"
          stream_output: "True"
          stream_error: "True"
          accounting_group_user: "james.clark"
          accounting_group: "cit.scheduled.local-test"
          MY.flock_local: "True"
          MY.PoolExorciser: "True"
          MY.DESIRED_Sites: "nogrid"
          max_retries: "0"
          periodic_remove: "(time() - QDate) > (1 * 3600)"
    dag:
      plugin: "staging_access"
      mode: "cpu"
      sites: "any"
      njobs: 10
      token-str: "igwn"
      token-handles:
          write: "writestage"
          read: "readstage"
      # Generate data opts
      n-files: 3
      mb-per-file: 1024
      #sandbox-data-dir: default to staging-data-<uuid>
      output-destination: "osdf:///igwn/cit/staging/james.clark/pool-exorciser"
      output-local-path: "/osdf/igwn/cit/staging/james.clark/pool-exorciser"

